Vernier Software and Technology
Vernier Software & Technology
Tech Info Library

Why doesn't LabQuest Viewer 2.0 install on a Windows 7 computer?

LabQuest Viewer 2.0 software requires Windows 7 Service Pack 1. Update your Windows 7 software to SP1 or newer in order to use LabQuest Viewer.

Related Topics
TIL 3408: Why does LabQuest Viewer 2.0 prompt me about Microsoft .NET Framework on my Windows 7 computer?
TIL 2666: What are the system requirements for LabQuest Viewer?

Go to top